iscsitarget 1.4.20.3+svn502-2ubuntu4.4 ADT test failure with linux 4.4.0-102.125

Bug #1734855 reported by Stefan Bader on 2017-11-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
iscsitarget (Ubuntu)
Trusty
Medium
Stefan Bader
Xenial
Medium
Stefan Bader
Stefan Bader (smb) on 2017-11-28
tags: added: kernel-adt-failure
Stefan Bader (smb) wrote :

This is actually a broken test case for the daemon. First it is actually named ietd (not iscsitarget) and second it is already in (attempted) started state after installation, so it needs a restart call to be started after changing the config file. My guess is that the test only ever passed because the test for the daemon running was done quickly enough to catch the sysvinit script in ps output.

Stefan Bader (smb) wrote :
tags: added: patch
Stefan Bader (smb) on 2017-11-28
Changed in iscsitarget (Ubuntu):
status: New → Invalid
Stefan Bader (smb) on 2017-11-28
Changed in iscsitarget (Ubuntu Trusty):
importance: Undecided → Medium
status: New → Triaged
Changed in iscsitarget (Ubuntu Xenial):
assignee: nobody → Stefan Bader (smb)
importance: Undecided → Medium
status: New → In Progress
Stefan Bader (smb) on 2018-02-01
Changed in iscsitarget (Ubuntu Trusty):
status: Triaged → In Progress
assignee: nobody → Stefan Bader (smb)
description: updated

Hello Stefan, or anyone else affected,

Accepted iscsitarget into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/iscsitarget/1.4.20.3+svn502-2ubuntu4.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in iscsitarget (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Stefan Bader (smb) wrote :
tags: added: verification-done-xenial
removed: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Stefan, or anyone else affected,

Accepted iscsitarget into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/iscsitarget/1.4.20.3+svn499-0ubuntu2.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in iscsitarget (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package iscsitarget - 1.4.20.3+svn502-2ubuntu4.5

---------------
iscsitarget (1.4.20.3+svn502-2ubuntu4.5) xenial; urgency=medium

  * Fix daemon dep8 test so it really tests for the running
    daemon (LP: #1734855).

 -- Stefan Bader <email address hidden> Thu, 01 Feb 2018 10:18:55 +0100

Changed in iscsitarget (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for iscsitarget has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Mathew Hodson (mathew-hodson) wrote :

I verified the ADT testing for the Trusty package same as was done for Xenial.

https://autopkgtest.ubuntu.com/packages/iscsitarget/trusty/amd64

1.4.20.3+svn499-0ubuntu2.5
iscsitarget/1.4.20.3+svn499-0ubuntu2.5
2018-02-15 13:36:58 UTC
0h 04m 26s
-
pass

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-trusty/trusty/amd64/i/iscsitarget/20180215_133658_edbe8@/log.gz

autopkgtest [13:36:45]: test daemon: [-----------------------
Enable daemon ... PASS
Start daemon ... PASS
autopkgtest [13:36:48]: test daemon: -----------------------]
autopkgtest [13:36:49]: test daemon: - - - - - - - - - - results - - - - - - - - - -
daemon PASS

tags: added: verification-done-trusty
removed: verification-needed verification-needed-trusty
Changed in iscsitarget (Ubuntu):
status: Invalid → Fix Released
importance: Undecided → Medium
no longer affects: iscsitarget (Ubuntu)
tags: added: verification-done
Robie Basak (racb) wrote :

This doesn't seem to fix the armhf dep8 failure for iscsitarget though? The failure looks related to this bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers